Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000844 [1003.1(2013)/Issue7+TC1] System Interfaces Editorial Error 2014-06-02 19:10 2019-06-10 08:54
Reporter sebor View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Closed  
Name Martin Sebor
Organization Cisco Systems, Inc.
User Reference
Section sigqueue
Page Number 337,1959
Line Number 11278,62775
Interp Status ---
Final Accepted Text
Summary 0000844: sigqueue const qualifier redundant in signature
Description The the SYNOPSIS section of the sigqueue interface, the function is declared as follows:

    int sigqueue(pid_t pid, int signo, const union sigval value);

The const qualifier on the value argument is redundant and the function declaration would be identical without it. No other interface in the specification makes use of redundant const qualifiers.
Desired Action Remove the const qualifier from the sigqueue declaration in the function SYNOPSIS on line 62775, and make the corresponding change in the header <signal.h> on page 337, line 11278.
Tags tc2-2008
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-06-02 19:10 sebor New Issue
2014-06-02 19:10 sebor Status New => Under Review
2014-06-02 19:10 sebor Assigned To => ajosey
2014-06-02 19:10 sebor Name => Martin Sebor
2014-06-02 19:10 sebor Organization => Cisco Systems, Inc.
2014-06-02 19:10 sebor Section => sigqueue
2014-06-02 19:10 sebor Page Number => 337,1959
2014-06-02 19:10 sebor Line Number => 11278,62775
2014-06-12 16:06 Don Cragun Interp Status => ---
2014-06-12 16:06 Don Cragun Status Under Review => Resolved
2014-06-12 16:06 Don Cragun Resolution Open => Accepted
2014-06-12 16:07 Don Cragun Tag Attached: tc2-2008
2014-06-26 13:48 geoffclare Project 1003.1(2008)/Issue 7 => 1003.1(2013)/Issue7+TC1
2019-06-10 08:54 agadmin Status Resolved => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker